## ros-kinetic-wireless-msgs 0.0.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(wireless_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
)

add_message_files(FILES
  Connection.msg
  Network.msg
  Quality.msg
  Scan.msg
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS std_msgs message_runtime)

=== debian/changelog ===
ros-kinetic-wireless-msgs (0.0.7-0xenial) xenial; urgency=high

  * Added frequency to watcher node
  * Contributors: Alex Bencz

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 09 Sep 2015 04:00:00 -0000

ros-kinetic-wireless-msgs (0.0.6-0xenial) xenial; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 02 Sep 2015 04:00:00 -0000

ros-kinetic-wireless-msgs (0.0.5-0xenial) xenial; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 25 Aug 2015 04:00:00 -0000

ros-kinetic-wireless-msgs (0.0.4-0xenial) xenial; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 25 Jun 2015 04:00:00 -0000

ros-kinetic-wireless-msgs (0.0.3-0xenial) xenial; urgency=high

  * Added ESSID and BSSID fields, use floats for bitrate
  * Contributors: Alex Bencz

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 17 Jun 2015 04:00:00 -0000

ros-kinetic-wireless-msgs (0.0.2-0xenial) xenial; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 24 Oct 2013 04:00:00 -0000

ros-kinetic-wireless-msgs (0.0.1-0xenial) xenial; urgency=high

  * Catkinize wireless_msgs

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 17 Oct 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-wireless-msgs
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-wireless-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: Messages for describing aspects of a wireless network, connection, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-wireless-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
